/*FLWOR where*/

USE SCRATCH;

--look for objects that have "p1" or "p2" in them
SELECT x.query('//data[@name="object_name"][value="p1" or value="p2"]')
FROM dbo.Summit_2013_XML sx

--could also be written as
SELECT x.query('for $d in //data
				where $d/@name="object_name"
					and ($d/value="p1" or $d/value="p2") 
				return $d')
FROM dbo.Summit_2013_XML sx

--order by
SELECT x.query('for $d in //data
				where $d/@name="object_name"
					and ($d/value="p1" or $d/value="p2")
				order by $d/value[1] descending	 
				return $d')
FROM dbo.Summit_2013_XML sx

