/* .value()

need to explain the following: 
1.	.exist()
2.	axes, predicate, node test
3.  .query()
4.	.value()
5.	.nodes()
6.	.modify() 
7.  sql:variable(), sql:column() 	
*/

USE SCRATCH;

--returns the value of a node as a sql datatype
--requires specific positional reference; only one node is allowed

SELECT x.query('.'), x.value('(//data[@name="duration"]/value)[1]', 'int')
FROM dbo.Summit_2013_XML sx

--change in axes...
SELECT ID,  x.value('(//value[text()="9010"])[1]','int')
,  x.value('(//value[text()="9010"]/../../data/@name)[1]','varchar(max)')
FROM dbo.Summit_2013_XML sx

--chaining
SELECT x.query('//data[@name="cpu_time"]').value('(//value)[1]', 'int')
FROM dbo.Summit_2013_XML sx
