/* .nodes()

need to explain the following: 
1.	.exist()
2.	axes, predicate, node test
3.  .query()
4.	.value()
5.	.nodes()
6.	.modify() 
7.  sql:variable(), sql:column() 	
*/

/*TVF
	splits an XML document into XML fragment; one row per node
	requires the use of another XML method to parse results
	*/

USE SCRATCH;

SELECT  ID
      , T.a.query('.')
      , t.a.value('(./@name)[1]', 'varchar(100)')
      , t.a.value('(./value)[1]', 'varchar(max)')
FROM dbo.Summit_2013_XML sx
        CROSS APPLY sx.x.nodes('//data') T ( a )

--doesn't really split the file; just moves the starting point
SELECT  TOP 5 ID
      , T.a.query('//.')
      , T.a.query('.')
FROM dbo.Summit_2013_XML sx
        CROSS APPLY sx.x.nodes('//data') T ( a )
WHERE   sx.ID = 1
